LibreOffice LibreOffice 25.8 SDK API Reference

Loading...
Searching...
No Matches
ConditionOperator2.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sheet
| Spreadsheet specific interfaces.

## Constant Groups
constants | com::sun::star::sheet::ConditionOperator2
| is used to specify the type of XSheetCondition2.

## Variables
const long | NONE = 0
| no condition is specified.
const long | EQUAL = 1
| value has to be equal to the specified value.
const long | NOT_EQUAL = 2
| the value must not be equal to the specified value.
const long | GREATER = 3
| the value has to be greater than the specified value.
const long | GREATER_EQUAL = 4
| the value has to be greater than or equal to the specified value.
const long | LESS = 5
| the value has to be less than the specified value.
const long | LESS_EQUAL = 6
| the value has to be less than or equal to the specified value.
const long | BETWEEN = 7
| the value has to be between the two specified values.
const long | NOT_BETWEEN = 8
| the value has to be outside of the two specified values.
const long | FORMULA = 9
| the specified formula has to give a non-zero result.
const long | DUPLICATE = 10
| Conditionally format duplicate values.
const long | NOT_DUPLICATE = 11
| Conditionally format non-duplicate values.